﻿@model TAMRCPS.Web.Models.LoginModel



<script type="text/javascript">
    $(document).ready(function () {
        // DOM ready

        // Test data
        /*
         * To test the script you should discomment the function
         * testLocalStorageData and refresh the page. The function
         * will load some test data and the loadProfile
         * will do the changes in the UI
         */
        // testLocalStorageData();
        // Load profile if it exits
        loadProfile();
    });

    /**
     * Function that gets the data of the profile in case
     * thar it has already saved in localstorage. Only the
     * UI will be update in case that all data is available
     *
     * A not existing key in localstorage return null
     *
     */
    function getLocalProfile(callback) {
        var profileImgSrc = localStorage.getItem("PROFILE_IMG_SRC");
        var profileName = localStorage.getItem("PROFILE_NAME");
        var profileReAuthEmail = localStorage.getItem("PROFILE_REAUTH_EMAIL");

        if (profileName !== null
                && profileReAuthEmail !== null
                && profileImgSrc !== null) {
            callback(profileImgSrc, profileName, profileReAuthEmail);
        }
    }

    /**
     * Main function that load the profile if exists
     * in localstorage
     */
    function loadProfile() {
        if (!supportsHTML5Storage()) { return false; }
        // we have to provide to the callback the basic
        // information to set the profile
        getLocalProfile(function (profileImgSrc, profileName, profileReAuthEmail) {
            //changes in the UI
            $("#profile-img").attr("src", profileImgSrc);
            $("#profile-name").html(profileName);
            $("#reauth-email").html(profileReAuthEmail);
            $("#inputEmail").hide();
            $("#remember").hide();
        });
    }

    /**
     * function that checks if the browser supports HTML5
     * local storage
     *
     * returns {boolean}
     */
    function supportsHTML5Storage() {
        try {
            return 'localStorage' in window && window['localStorage'] !== null;
        } catch (e) {
            return false;
        }
    }

    /**
     * Test data. This data will be safe by the web app
     * in the first successful login of a auth user.
     * To Test the scripts, delete the localstorage data
     * and comment this call.
     *
     * returns {boolean}
     */
    function testLocalStorageData() {
        if (!supportsHTML5Storage()) { return false; }
        localStorage.setItem("PROFILE_IMG_SRC", "//lh3.googleusercontent.com/-6V8xOA6M7BA/AAAAAAAAAAI/AAAAAAAAAAA/rzlHcD0KYwo/photo.jpg?sz=120");
        localStorage.setItem("PROFILE_NAME", "César Izquierdo Tello");
        localStorage.setItem("PROFILE_REAUTH_EMAIL", "oneaccount@gmail.com");
    }

</script>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>.:: TAM RCPS - Sign in ::.</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="~/Content/plugins/bootstrap-3.2.0-dist/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/Content/plugins/font-awesome-4.2.0/css/font-awesome.min.css" rel="stylesheet" />
    <link href="~/Content/login.css" rel="stylesheet" />
    <link rel="icon" href="~/Content/images/company/tam_favicon.ico" type="image/x-icon">
    @Html.Partial("_html5shiv")
</head>
<body>

    <div class="container">
        @*<div class="row navbar-fixed-top frm_header clearfix">
                <div class="frm_top">
                    <span><img src="~/Content/images/company/tam_logo_nav.png" height="45" alt="Toyota Part Center" /></span>
                    <span class="pull-right frm_title"> <img src="~/Content/images/company/tam_logo_transparent.gif" height="45" /> <b class="lato">SUPPLIER PORTAL SYSTEM</b></span>
                </div>
            </div>*@
        <!--
            you can substitue the span of reauth email for a input with the email and
            include the remember me checkbox
            -->
        <div>

        </div>
        <div class="container">
            <div style="margin-top: 50px">
                <img id="profile-img" class="profile-img-logo" src="../../Content/images/company/logo.png" />
            </div>
            <div class="card card-container">
                <h1>RCPS</h1>
                <h2>Risk & Control Portal System</h2>
                

            </div><!-- /card-container -->
            <div class="card card-container2">
                @using (Html.BeginForm("LoginDirect", "User", FormMethod.Post, new { ReturnUrl = Request.QueryString["ReturnUrl"], @class = "form-horizontal" }))
                {
                    @Html.AntiForgeryToken()

                    <form class="form-signin">
                        <span id="reauth-email" class="reauth-email"></span>
                        @Html.TextBoxFor(m => m.UserName, new { placeholder = "Username", @id = "username", @class = "form-control", data_required_msg = "Please enter username", required = "required" })
                        @*<input type="email" id="inputEmail" class="form-control" placeholder="Email address" required autofocus>*@
                        &nbsp;
                        @Html.PasswordFor(m => m.Password, new { placeholder = "Password", @id = "password", @class = "form-control", data_required_msg = "Please enter password", required = "required" })
                        @*<input type="password" id="inputPassword" class="form-control" placeholder="Password" required>*@
                        <div id="remember" class="checkbox rememberme">
                            <label>
                                <input type="checkbox" value="remember-me"> Remember me
                            </label>
                        </div>
                        <button class="btn btn-sm btn-primary btn-block btn-signin" type="submit">Sign in</button>
                    </form><!-- /form -->
                    @Html.Partial("~/Views/Shared/_validationSummary.cshtml")
                }
            </div>
        </div><!-- /container -->
        <div class="row navbar-fixed-bottom  text-center frm_footer">
            Copyright &copy; 2019 Toyota Astra Motor. All rights reserved.
        </div>
    </div>


    <script src="~/Scripts/jquery-2.1.1.min.js"></script>
    <script src="~/Content/plugins/bootstrap-3.2.0-dist/js/bootstrap.min.js"></script>
</body>
</html>

